Searches a value throughout. [:running:] [:vhs:] [:package:] [:moon:] [:ledger:]
> Alternatives: [search], [searchRight], [searchAll].<br>
> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

```javascript
array.searchAll(x, v, [fc], [fm]);
// x:  an array
// v:  search value
// fc: compare function (a, b)
// fm: map function (v, i, x)
// --> indices of value
```

```javascript
const array = require('extra-array');

var x = [1, 2, 3, 2, 5];
array.searchAll(x, 2);
// [ 1, 3 ] ^     ^

var x = [1, 2, 3, -2, 5];
array.searchAll(x, 2, (a, b) => Math.abs(a) - Math.abs(b));
// [ 1, 3 ] ^      ^

array.searchAll(x, 2, null, v => Math.abs(v));
// [ 1, 3 ] ^      ^
```

### references

- [List-Extra.elemIndices: elm](https://package.elm-lang.org/packages/elm-community/list-extra/7.1.0/List-Extra#elemIndices)
- [iterable-binsearch: @krisselden](https://www.npmjs.com/package/iterable-binsearch)
- [binarysearch: @soldair](https://www.npmjs.com/package/binarysearch)

[:running:]: https://npm.runkit.com/@extra-array/search-all
[:package:]: https://www.npmjs.com/package/@extra-array/search-all
[:moon:]: https://www.npmjs.com/package/@extra-array/search-all.min
[:ledger:]: https://unpkg.com/@extra-array/search-all/
[search]: https://github.com/nodef/extra-array/wiki/search
[searchRight]: https://github.com/nodef/extra-array/wiki/searchRight
[searchAll]: https://github.com/nodef/extra-array/wiki/searchAll
[:vhs:]: https://asciinema.org/a/332123
